#!/bin/bash
# Sets up a new district project based on SSDT default configuration in the current working directory.
#
# Usage:
#
#  /data/preview/sampleville $   /ssdt/compose2/preview/setup.sh
#
# Will create a docker-compose.yml and .env file with default settings.
#
# 
source "$(dirname "${BASH_SOURCE[0]}")/../../scripts/.functions.sh"

base=$(dirname "${BASH_SOURCE[0]}")

if [ ! -e "docker-compose.yml" ] ; then
    cp $base/usxs-template.yml ./docker-compose.yml
    echo "created docker-compose.yml"
fi

touch .env

source .env

if [ "$COMPOSE_PROJECT_NAME" == "" ]
then
   echo "COMPOSE_PROJECT_NAME=$(basename $PWD)" >> .env
   echo "set project name in .env file"
fi
